incorrect error message when timestamp has expired

Bug #534869 reported by chris grzegorczyk on 2010-03-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Fix Released
Undecided
chris grzegorczyk
eucalyptus (Ubuntu)
Low
Dustin Kirkland 

Bug Description

When a message has expired (the request's timestamp + 5 minutes) the error message generated in the cloud's log files indicates the time incorrectly. For example:

17:03:24 DEBUG [NioServerHandler:New I/O server worker #1-20] Internal Error.
com.eucalyptus.ws.AuthenticationException: Message has expired: Timestamp=2010-03-09T00:58:23.000Z Expires=null Deadline=2010-02-08'T'17:03:23

The Deadline should have:
- The correct value for the day and month (off by one)
- Be in UTC

chris grzegorczyk (chris-grze) wrote :

------------------------------------------------------------
revno: 1211 [merge]
committer: decker <decker@hawaii>
branch nick: 1.6.2
timestamp: Mon 2010-03-08 23:04:48 -0800
message:
  fix LP: #534869 correct misleading error message
------------------------------------------------------------

Changed in eucalyptus:
status: New → Fix Committed
assignee: nobody → chris grzegorczyk (chris-grze)
Changed in eucalyptus (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Dustin Kirkland (kirkland)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6.2-0ubuntu26

---------------
eucalyptus (1.6.2-0ubuntu26) lucid; urgency=low

  * Cherry-pick merge from upstream 1.6.2, now on revision 1217
    - LP: #534877 - fix potential db connection leak when no
      default kernel/ramdisk set
    - LP: #534868 - update expiration deadline
    - LP: #534869 - correct misleading error message
    - LP: #437026 - fix auth failures due to timezone
    - LP: #535335 - fix display of failed volumes
    - LP: #537058 - fix creation of large numbers of volumes
    - LP: #538604 - remember storage stats across sc restarts
    - LP: #547059 - fix euca-describe-snapshots
    - LP: #544992 - fix get-all-keys
 -- Dustin Kirkland <email address hidden> Mon, 29 Mar 2010 12:48:13 -0500

Changed in eucalyptus (Ubuntu):
status: In Progress → Fix Released
Changed in eucalyptus:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers